SXCS(1)

NAME
sxcs - Minimal X11 color picker and magnifier

SYNOPSIS
sxcs [options]

DESCRIPTION
sxcs is a minimal X11 color picker and magnifier. Mouse Button1 will select and print the color to stdout. The output is TAB separated hex, rgb and hsl. Scroll Up/Down will zoom in and out. Any other mouse button will quit sxcs.

The keyboard can also be used when --keyboard is enabled. The arrow keys Left, Right, Up, Down as well as vi-like h, j, k, l are supported for moving the cursor. By default they move by 16 pixels, if Control is used then they move by 1 pixel, otherwise if Shift is used they move by 128 pixels instead. Space makes a selection. q and Escape quits. + and - zooms in and out.

OPTIONS

--color-none
    disable color output.

--hex
    output hex colors.

--rgb
    output rgb colors.

--hsl
    output hsl colors.

--mag-none
    disable magnifier.

--mag-filters filters
    comma separated list of filter to apply in order. See the FILTERS section.

-o, --one-shot
    quit after a single selection.

-q, --quit-on-keypress
    quit on keypress.

-k, --keyboard
    enable keyboard control.

-h, --help
    Show usage and exit.

--version
    Show version and exit.

FILTERS
List of available filters:

square
    draws a square border.

xhair
    draws a square crosshair.

grid
    draws grid.

circle
    draws a circle.

icircle
    similar to circle, but the border color is based on what's underneath the cursor.

EXIT STATUS
sxcs exits with status 0 on success, non-zero on abnormal termination.

AUTHORS
NRK <nrk@disroot.org>

BUGS

  Reporting Bugs
For reporting bugs, either open an issue under the Codeberg repo <https://codeberg.org/NRK/sxcs> or send an email to <nrk@disroot.org>.

  Known Bugs
Visual glitches may occur if the cursor size is too big (typically 255x255).